# Project Plan API

Provides access to DrillPlan project plan entities.
```plain {% title="Client ID" %}
fwk-drillplan.slbservice.com
```


Version: 1.0.0.0

## Servers

ProdEU
```
https://eu-api.delfi.slb.com/drillplan/plan/v1
```

ProdUS
```
https://api.delfi.slb.com/drillplan/plan/v1
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

### appkey

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [Project Plan API](https://developer.slb.com/_bundle/solutions/drillplan/apis/ProjectPlanAPI.yaml)

## Plan

 - [GET /plans/by-project/{projectId}](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1plans~1by-project~1%7Bprojectid%7D/get.md): Get plan list for given project by projectId
 - [GET /plans/{planId}/artifact-index](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1plans~1%7Bplanid%7D~1artifact-index/get.md): Get artifact index for given plan by planId
 - [GET /plans/{planId}/artifacts/{id}/{artifactType}](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1plans~1%7Bplanid%7D~1artifacts~1%7Bid%7D~1%7Bartifacttype%7D/get.md): Get a specific artifact
 - [GET /attachments/{attachmentId}](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1attachments~1%7Battachmentid%7D/get.md)
 - [GET /plans/{planId}/application-links](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1plans~1%7Bplanid%7D~1application-links/get.md)
 - [GET /plans/{planId}/application-review-states](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/plan/paths/~1plans~1%7Bplanid%7D~1application-review-states/get.md)
## Project

 - [GET /projects/joined](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/project/paths/~1projects~1joined/get.md): Get user joined project list
 - [GET /projects/pages](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/project/paths/~1projects~1pages/get.md): Query all DrillPlan projects and get paginated result
 - [GET /projects/{projectId}](https://developer.slb.com/solutions/drillplan/apis/projectplanapi/project/paths/~1projects~1%7Bprojectid%7D/get.md): Get DrillPlan project by id
